All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals
Class BasicTriStateCheckBoxIcon

    com.sas.swing.visuals.BasicTriStateCheckBoxIcon

All Implemented Interfaces:
  java.io.Serializable, javax.swing.Icon, javax.swing.plaf.UIResource

    public class BasicTriStateCheckBoxIcon

TriStateCheckboxIcon implementation for BasicUI

See Also:
  Serialized Form

Constructor Summary
`BasicTriStateCheckBoxIcon()`

Method Summary
`protected void` | `drawBox(java.awt.Graphics g, int x, int y, int width, int height)` Draw a 3D rectangle like the Windows CheckBox control.
`protected void` | `drawCheck(java.awt.Component c, java.awt.Graphics g, int x, int y)` Draw a check like the Windows CheckBox control.
`protected int` | `getControlSize()` Return the size of the icon.
`void` | `paintIcon(java.awt.Component c, java.awt.Graphics g, int x, int y)` Draw the TriStateCheckBox.

Constructor Detail

### BasicTriStateCheckBoxIcon

    public BasicTriStateCheckBoxIcon()

Method Detail

### getControlSize

    protected int getControlSize()

  Return the size of the icon.

  Overrides:
    `getControlSize` in class `javax.swing.plaf.metal.MetalCheckBoxIcon`

### paintIcon

    public void paintIcon(java.awt.Component c,
                          java.awt.Graphics g,
                          int x,
                          int y)

  Draw the TriStateCheckBox.

  Specified by:
    `paintIcon` in interface `javax.swing.Icon`
  Overrides:
    `paintIcon` in class `javax.swing.plaf.metal.MetalCheckBoxIcon`

### drawCheck

    protected void drawCheck(java.awt.Component c,
                             java.awt.Graphics g,
                             int x,
                             int y)

  Draw a check like the Windows CheckBox control.

  Overrides:
    `drawCheck` in class `javax.swing.plaf.metal.MetalCheckBoxIcon`

### drawBox

    protected void drawBox(java.awt.Graphics g,
                           int x,
                           int y,
                           int width,
                           int height)

  Draw a 3D rectangle like the Windows CheckBox control.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.